<div class="control-section">
    <div id="modalTarget" #targetModal>
    <nav class="navbar justify-content-between">
        
        <div class="row">
            <div class="col-md-2 ">
                <em class="mt-3 fa fa-broadcast-tower fa3 fa-border-icon2 "></em>
            </div>
            <div class="col-md-10">
                <h2 class="nav_logo heading_style">  {{i18Labels?.Announcements}} </h2>
                <p class="sub-heading"><small> {{i18Labels?.Description_announcements}}</small></p>
            </div>
        </div>
        <button ejs-button id='modalbtn' class="btn btn-dark" routerLink="/admin/newannouncements" #modalButton> {{i18Labels?.New_Announcements}}</button>
    </nav>

    <!-- Render Button to open the modal Dialog -->
    <!-- Render modal Dialog -->

    <div >
        <ejs-grid #gridelement [allowPaging]="true" [dataSource]="filteredArray" 
        [allowSorting]="true" [sortSettings]='sortOptions'>
            <e-columns>
                <e-column  field='event' headerText=' {{i18Labels?.Event}}' width=60 >
                       
                </e-column>
                <e-column field='title' headerText=' {{i18Labels?.Title}}' width=60></e-column>
                <e-column field='detail' headerText=' {{i18Labels?.Detail}}' width=60  clipMode='EllipsisWithTooltip'></e-column>
               
                <e-column field="sent_on" headerText='  {{i18Labels?.Sent}}' width=60 type='datetime'
                [format]="{ type: 'dateTime' , format: 'MM/dd/yyyy | hh:mm a' }"></e-column>
            
            </e-columns>
        </ejs-grid>
    </div>
</div>
    
</div>
